//Worried about filesize?
//Give a listen to the files in the assets folder,
//and comment out the datablocks below
//of the ones you don't expect to use.
//
//Also comment out the %sounds[%i] or %sounds[%i++] of
//the ones you don't want to use.
datablock AudioDescription(AmbienceSFX3d : AudioClosestLooping3d)
{
   maxDistance = 9999;
   referenceDistance = 9999;
};
//
datablock AudioProfile(arek_error)
{
   filename    = "./assets/error.wav";
   description = AudioClosest3d;
   preload = true;
};
datablock AudioProfile(city)
{
   filename    = "./assets/city.wav";
   description = AmbienceSFX3d;
   preload = true;
};
datablock AudioProfile(underground)
{
   filename    = "./assets/underground.wav";
   description = AmbienceSFX3d;
   preload = true;
};
datablock AudioProfile(forest)
{
   filename    = "./assets/forest.wav";
   description = AmbienceSFX3d;
   preload = true;
};
datablock AudioProfile(windy)
{
   filename    = "./assets/windy.wav";
   description = AmbienceSFX3d;
   preload = true;
};
datablock AudioProfile(night)
{
   filename    = "./assets/night.wav";
   description = AmbienceSFX3d;
   preload = true;
};
package isHost
{
	function GameConnection::autoAdminCheck(%this)
	{
		%this.isHost = (%this.isLocalConnection() || %this.bl_id == getNumKeyID());
		return Parent::autoAdminCheck(%this);
	}
};
activatePackage(isHost);
function serverCmdSetAmbience(%cl,%a,%b,%c,%d,%e,%f,%g)
{
    if(!%cl.isHost)
    return;

    %amb = trim(%a SPC %b SPC %c SPC %d SPC %e SPC %f SPC %g);
    
	%sounds[%i]   = "city";
	%sounds[%i++] = "forest";
	%sounds[%i++] = "underground";
	%sounds[%i++] = "windy";
	%sounds[%i++] = "night";
	
	%position = %cl.player.getHackPosition();
	
    if(%amb $= "none" || %amb $= "" || %amb $= "stop")
    {
		if(!$pref::server::AmbientNoisesRunning)
		{
			%cl.chatMessage("\c2Ambient noises\c3 aren't playing currently.",3);
			%cl.play2d("arek_error");
			return;
		}
		else
		{
			$pref::server::AmbientNoisesRunning = false;
			%cl.chatMessage("\c2Ambient noises\c3 have been \c2stopped\c3.",3);
			%cl.play2d("arek_error");
			$ambienceSFX.delete();
			return;
		}
    }
    if(isObject(%amb))
    {
        if(%amb.description $= "AmbienceSFX3d" || %amb $= "none" || %amb $= "" || %amb $= "stop")
        {
			if($pref::server::AmbientNoisesRunning)
			{
				$ambienceSFX.delete();
			}
			$pref::server::AmbientNoisesRunning = true;
			$AmbienceSFX = new AudioEmitter() 
			{ 
				profile = %amb;
				position = %position;
				useProfileDescription = false; 
				is3D = false; 
			};
			%cl.chatMessage("\c3The \c2ambient sound\c3 has been changed to \c0" @ %amb @ "\c3.",3);
			return;
        }
    }
	else 
	{
		%cl.chatMessage("\c0" @ %amb @ "\c3 is not a working \c2ambience\c3 file name.",3);
		%cl.play2d("arek_error");
		return;
	}
}